import { ElementRef, NgZone, OnDestroy, Renderer } from '@angular/core';
import { Content } from '../content/content';
import { DomController } from '../../util/dom-controller';
import { ImgLoader } from './img-loader';
import { Platform } from '../../platform/platform';
export declare class Img implements OnDestroy {
    private _ldr;
    private _elementRef;
    private _renderer;
    private _platform;
    private _zone;
    private _content;
    private _dom;
    _src: string;
    _requestingSrc: string;
    _renderedSrc: string;
    _tmpDataUri: string;
    _cache: boolean;
    _cb: Function;
    _bounds: any;
    _rect: any;
    _w: string;
    _h: string;
    _wQ: string;
    _hQ: string;
    canRequest: boolean;
    canRender: boolean;
    constructor(_ldr: ImgLoader, _elementRef: ElementRef, _renderer: Renderer, _platform: Platform, _zone: NgZone, _content: Content, _dom: DomController);
    src: string;
    reset(): void;
    update(): void;
    private _loadResponse(msg);
    _isLoaded(isLoaded: boolean): void;
    _srcAttr(srcAttr: string): void;
    readonly top: number;
    readonly bottom: number;
    private _getBounds();
    bounds: any;
    cache: boolean;
    width: string | number;
    height: string | number;
    private _setDims();
    alt: string;
    ngOnDestroy(): void;
}
